%define upstream_name    podlators
%define upstream_version v6.0.2

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2
License:    GPL or Artistic
Group:      Development/Perl
Summary:    Convert POD data to formatted ASCII text
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Pod::Simple) >= 3.260.0
BuildArch:  noarch

%description
Pod::Man is a module to convert documentation in the POD format (the
preferred language for documenting Perl) into *roff input using the man
macro set. The resulting *roff code is suitable for display on a terminal
using the nroff(1) manpage, normally via the man(1) manpage, or printing
using the troff(1) manpage. It is conventionally invoked using the driver
script *pod2man*, but it can also be used directly.

As a derived class from Pod::Simple, Pod::Man supports the same methods and
interfaces. See the Pod::Simple manpage for all the details.

new() can take options, in the form of key/value pairs that control the
behavior of the parser. See below for details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install
for i in %{buildroot}/%{_bindir}/*; do mv $i $i-%{upstream_version}; done

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README THANKS TODO
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 29 2025 umeabot <umeabot> 6.0.2-2.mga10
+ Revision: 2225146
- Mageia 10 Mass Rebuild

* Wed Jul 24 2024 tv <tv> 6.0.2-1.mga10
+ Revision: 2082460
- update to v6.0.2

* Thu Dec 29 2022 tv <tv> 5.10.0-1.mga9
+ Revision: 1927741
- update to 5.01

* Sun Nov 27 2022 tv <tv> 5.0.0-1.mga9
+ Revision: 1911796
- update to 5.00

* Mon Mar 21 2022 umeabot <umeabot> 4.140.0-3.mga9
+ Revision: 1812220
- Mageia 9 Mass Rebuild

* Wed Feb 19 2020 umeabot <umeabot> 4.140.0-2.mga8
+ Revision: 1542559
- Mageia 8 Mass Rebuild

* Sun Jan 05 2020 tv <tv> 4.140.0-1.mga8
+ Revision: 1476715
- update to 4.14

* Sat Dec 28 2019 tv <tv> 4.130.0-1.mga8
+ Revision: 1474504
- update to 4.13
+ wally <wally>
- replace deprecated %%makeinstall_std

* Sat Jun 29 2019 shlomif <shlomif> 4.120.0-1.mga8
+ Revision: 1415619
- update to 4.12

* Thu Sep 20 2018 umeabot <umeabot> 4.110.0-2.mga7
+ Revision: 1287505
- Mageia 7 Mass Rebuild

* Thu May 10 2018 shlomif <shlomif> 4.110.0-1.mga7
+ Revision: 1228163
- update to 4.11

* Tue Dec 26 2017 shlomif <shlomif> 4.100.0-1.mga7
+ Revision: 1185328
- update to 4.10

* Fri Jul 28 2017 sander85 <sander85> 4.90.0-1.mga7
+ Revision: 1132144
- update to 4.09

* Sun Jun 19 2016 pterjan <pterjan> 4.70.0-2.mga6
+ Revision: 1032315
- Rebuild for perl 5.22.2

* Fri Apr 15 2016 shlomif <shlomif> 4.70.0-1.mga6
+ Revision: 1002341
- update to 4.07

* Fri Feb 05 2016 umeabot <umeabot> 2.5.3-6.mga6
+ Revision: 936588
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.5.3-5.mga5
+ Revision: 741225
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.3-4.mga5
+ Revision: 687052
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 2.5.3-3.mga5
+ Revision: 588009
- rebuild after perl 5.18.2

* Mon Oct 21 2013 umeabot <umeabot> 2.5.3-2.mga4
+ Revision: 539483
- Mageia 4 Mass Rebuild

* Sun Oct 06 2013 sander85 <sander85> 2.5.3-1.mga4
+ Revision: 492196
- update to 2.5.3

* Thu Sep 26 2013 sander85 <sander85> 2.5.2-1.mga4
+ Revision: 487169
- update to 2.5.2

* Wed Mar 27 2013 jquelin <jquelin> 2.5.0-3.mga3
+ Revision: 405533
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.5.0-2.mga3
+ Revision: 375538
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 2.5.0-1.mga3
+ Revision: 341878
- update to 2.5.0

* Wed Nov 07 2012 jquelin <jquelin> 2.4.2-3.mga3
+ Revision: 315564
- perl 5.16.2 rebuild

* Mon Sep 17 2012 jquelin <jquelin> 2.4.2-2.mga3
+ Revision: 295343
- perl 5.16.1 rebuild

* Mon Jun 11 2012 jquelin <jquelin> 2.4.2-1.mga3
+ Revision: 259728
- update to 2.4.2
- imported package perl-podlators


* Mon Nov 29 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.4.0-1mdv2011.0
+ Revision: 602981
- new version

* Sun Aug 08 2010 Guillaume Rousse <guillomovitch@mandriva.org> 2.3.1-1mdv2011.0
+ Revision: 567734
- new version

* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 2.3.0-1mdv2011.0
+ Revision: 483879
- update to 2.3.0

* Mon Dec 07 2009 Guillaume Rousse <guillomovitch@mandriva.org> 2.2.2-1mdv2010.1
+ Revision: 474534
- spec cleanup

  + Jérôme Quelin <jquelin@mandriva.org>
    - import perl-podlators


* Wed May 06 2009 cpan2dist 2.2.2-1mdv
- initial mdv release, generated with cpan2dist

